=== modified file 'dialog.py'
--- dialog.py	2007-02-03 14:18:57 +0000
+++ dialog.py	2007-02-04 12:11:31 +0000
@@ -26,21 +26,15 @@
 
 def about():
     """ Display the AboutDialog. """
-    version = None
-    try:
-        import bzrlib.plugins.gtk
-    except ImportError:
-        version = 'N/A'
-    else:
-        version = bzrlib.plugins.gtk.__version__
-    from guifiles import GLADEFILENAME
+    from bzrlib.plugins.gtk import __version__
+    from bzrlib.plugins.gtk.olive.guifiles import GLADEFILENAME
 
     # Load AboutDialog description
     dglade = gtk.glade.XML(GLADEFILENAME, 'aboutdialog')
     dialog = dglade.get_widget('aboutdialog')
 
     # Set version
-    dialog.set_version(version)
+    dialog.set_version(__version__)
 
     dialog.run()
     # Destroy the dialog

=== modified file 'olive-gtk'
--- olive-gtk	2007-02-03 15:24:48 +0000
+++ olive-gtk	2007-02-04 12:11:31 +0000
@@ -82,7 +82,7 @@
 load_plugins()
 
 import bzrlib.ui
-import ui
+import bzrlib.plugins.gtk.ui as ui
 bzrlib.ui.ui_factory = ui.GtkUIFactory()
 
 from olive import OliveGtk

